XMLDocumentScanner (Xerces Native Interface)
Date: 2016-02-19

org.apache.xerces.xni.parser

## Interface XMLDocumentScanner

- All Superinterfaces:
    XMLDocumentSource

      public interface XMLDocumentScanner
      extends XMLDocumentSource

  This interface defines a generic document scanner. This interface allows a scanner to be used interchangably in existing parser configurations.

  If the parser configuration uses a document scanner that implements this interface, components should be able to query the scanner instance from the component manager using the following property identifier:

  > "http://apache.org/xml/properties/internal/document-scanner"

  Version:
    $Id: XMLDocumentScanner.java 699892 2008-09-28 21:08:27Z mrglavas $
  Author:
    Andy Clark, IBM

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `scanDocument(boolean complete)` Scans a document.
    `void` | `setInputSource(XMLInputSource inputSource)` Sets the input source.

    - ### Methods inherited from interface org.apache.xerces.xni.parser.XMLDocumentSource

      `getDocumentHandler, setDocumentHandler`

- - ### Method Detail

    - #### setInputSource

          void setInputSource(XMLInputSource inputSource)
                              throws java.io.IOException

      Sets the input source.
      Parameters:
        `inputSource` - The input source.
      Throws:
        `java.io.IOException` - Thrown on i/o error.

    - #### scanDocument

          boolean scanDocument(boolean complete)
                               throws java.io.IOException,
                                      XNIException

      Scans a document.
      Parameters:
        `complete` - True if the scanner should scan the document completely, pushing all events to the registered document handler. A value of false indicates that that the scanner should only scan the next portion of the document and return. A scanner instance is permitted to completely scan a document if it does not support this "pull" scanning model.
      Returns:
        True if there is more to scan, false otherwise.
      Throws:
        `java.io.IOException`
        `XNIException`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.